Page MenuHomePhabricator

Refactor wikitext cleanup class for better composition + better test coverage
Closed, ResolvedPublic

Description

Some of the possible action items I can see us working on during the WMDE-QWERTY-X-Mas-Sprint-2018-12-18:

Please extend as needed.

Details

Related Gerrit Patches:
mediawiki/extensions/FileImporter : masterMove license checks and wikitext cleanup to ImportPlanValidator
mediawiki/extensions/FileImporter : masterAdd missing @covers tags
mediawiki/extensions/FileImporter : masterMake Importer fail in a nice way with empty ImportOperations
mediawiki/extensions/FileImporter : masterTurn all remaining Html classes into SpecialPageHtmlFragments
mediawiki/extensions/FileImporter : masterReplace all remaining wfMessage() with $this->msg()
mediawiki/extensions/FileImporter : masterRemove forgotten (?) die() debug code
mediawiki/extensions/FileImporter : masterSome more SpecialPageHtmlFragment sublasses
mediawiki/extensions/FileImporter : masterRefactor HTML builders accessing original WebRequest
mediawiki/extensions/FileImporter : masterAdd abstract SpecialPageHtmlFragment base class

Related Objects

Mentioned In
T224122: 20% maintenance tasks in QWERTY sprint 2019-05-15
rEFLI62ff552ff87b: Move license checks and wikitext cleanup to ImportPlanValidator
rEFLI4fef98f8a859: [WIP] Move license checks and wikitext cleanup to ImportPlanValidator
rEFLId6d7fb132c76: [WIP] Move license checks and wikitext cleanup to ImportPlanValidator
rEFLIae6d5c02d767: [WIP] Move license checks and wikitext cleanup to ImportPlanValidator
rEFLI14de8a9968e5: [WIP] Move license checks and wikitext cleanup to ImportPlanValidator
rEFLIe06cf36c67c9: [WIP] Move license checks and wikitext cleanup to ImportPlanValidator
rEFLI533bf0318997: Make Importer fail in a nice way with empty ImportOperations
rEFLI9d4cd08e98d7: Add missing @covers tags
rEFLI2cee5393a981: Some more SpecialPageHtmlFragment sublasses
rEFLIbb2e00663c15: Add abstract SpecialPageHtmlFragment base class
rEFLI49aed5a3c5de: Refactor HTML builders accessing original WebRequest
rEFLIe699f56d8609: Turn all remaining Html classes into SpecialPageHtmlFragments
rEFLI9d91db3a194e: Remove forgotten (?) die() debug code
rEFLI976b6ce3a2ce: Replace all remaining wfMessage() with $this->msg()
rEFLI73780a68f14f: Add missing @covers tags
rEFLId37961e50310: Make Importer fail in a nice way with empty ImportOperations
rEFLI046dfc6e6ee0: Replace all remaining wfMessage() with $this->msg()
rEFLI92f618d33169: Turn all remaining Html classes into SpecialPageHtmlFragments
rEFLI0726936bbbda: Remove forgotten (?) die() debug code
rEFLI9468ee6d7148: Replace all remaining wfMessage() with $this->msg()
rEFLIc4a81023a35d: Turn all remaining Html classes into SpecialPageHtmlFragments
rEFLI618dc78d1b2b: Some more SpecialPageHtmlFragment sublasses
rEFLI887e803b68fa: Refactor HTML builders accessing original WebRequest
rEFLI96ff25195eb3: Refactor HTML builders accessing original WebRequest
rEFLI972835b8c5ab: Some more SpecialPageHtmlFragment sublasses
rEFLIac55301b157b: Add abstract SpecialPageHtmlFragment base class
rEFLIf7bdfc559d30: Add abstract SpecialPageHtmlFragment base class

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptDec 18 2018, 12:50 PM
thiemowmde triaged this task as Normal priority.Dec 18 2018, 3:37 PM
thiemowmde added a project: Technical-Debt.
thiemowmde updated the task description. (Show Details)
thiemowmde added subscribers: WMDE-Fisch, jkroll, Andrew-WMDE.

Change 481498 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Add abstract SpecialPageHtmlFragment base class

https://gerrit.wikimedia.org/r/481498

Change 481505 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Some more SpecialPageHtmlFragment sublasses

https://gerrit.wikimedia.org/r/481505

Change 481521 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Refactor HTML builders accessing original WebRequest

https://gerrit.wikimedia.org/r/481521

Change 481498 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Add abstract SpecialPageHtmlFragment base class

https://gerrit.wikimedia.org/r/481498

Change 482029 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Turn all remaining Html classes into SpecialPageHtmlFragments

https://gerrit.wikimedia.org/r/482029

Change 482030 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Replace all remaining wfMessage() with $this->msg()

https://gerrit.wikimedia.org/r/482030

Change 482031 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Remove forgotten (?) die() debug code

https://gerrit.wikimedia.org/r/482031

Change 481521 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Refactor HTML builders accessing original WebRequest

https://gerrit.wikimedia.org/r/481521

Change 481505 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Some more SpecialPageHtmlFragment sublasses

https://gerrit.wikimedia.org/r/481505

Change 482031 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Remove forgotten (?) die() debug code

https://gerrit.wikimedia.org/r/482031

Change 482029 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Turn all remaining Html classes into SpecialPageHtmlFragments

https://gerrit.wikimedia.org/r/482029

Change 482030 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Replace all remaining wfMessage() with $this->msg()

https://gerrit.wikimedia.org/r/482030

Change 482335 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Make Importer fail in a nice way with empty ImportOperations

https://gerrit.wikimedia.org/r/482335

Change 482335 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Make Importer fail in a nice way with empty ImportOperations

https://gerrit.wikimedia.org/r/482335

thiemowmde updated the task description. (Show Details)

Change 483404 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Add missing @covers tags

https://gerrit.wikimedia.org/r/483404

Change 483404 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Add missing @covers tags

https://gerrit.wikimedia.org/r/483404

Change 510589 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] [WIP] Move license checks and wikitext cleanup to ImportPlanValidator

https://gerrit.wikimedia.org/r/510589

Change 510589 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Move license checks and wikitext cleanup to ImportPlanValidator

https://gerrit.wikimedia.org/r/510589

thiemowmde closed this task as Resolved.May 22 2019, 3:57 PM
thiemowmde claimed this task.

After https://gerrit.wikimedia.org/r/510589 I feel like I can finally declare this done!